Opencast Configuration Guides
=============================

These guides will help you to configure Opencast. If you are a first-time user, please make sure to at lease have a look
at the [basic configuration guide](basic.md).


General Configuration
---------------------

- [Basic Configuration](basic.md)
- [Database Configuration](database.md)
- [HTTPS Configuration](https/index.md)
- [Encoding Profile Configuration](encoding.md)
- [List Providers](listproviders.md)
- [Load Configuration](load.md)
- [Log Configuration](log.md)
- [User Statistics and Privacy Configuration](user-statistics.and.privacy.md)
- [Message Broker Configuration](message-broker.md)
- [Metadata Configuration](metadata.md)
- [Multi Tenancy Configuration](multi.tenancy.md)
- [Authentication, Autorization and User Management](security.md)
    - [CAS Security Configuration](security.cas.md)
    - [LDAP Authentication and Authorization (without CAS)](security.ldap.md)
    - [Moodle User Provider](security.user.moodle.md)
    - [Sakai User Provider](security.user.sakai.md)
    - [Brightspace User Provider](security.user.brightspace.md)
    - [Authentication and Authorization Infrastructure (AAI)](security.aai.md)
    - [Access Control Lists](acl.md)
    - [Stream Security](stream-security.md)
- [Workflow Configuration](workflow.md)
    - [Workflow Operation Handler](../workflowoperationhandlers/index.md)
- [External API Configuration](external-api.md)
- [OAI-PMH Configuration](oaipmh.md)
- [External Monitoring](monitoring.md)
- Admin UI Configuration
    - [Event Filters](admin-ui/event-filters.md)
    - [Manual Asset Upload](admin-ui/asset-upload.md)
    - [Languages](admin-ui/languages.md)
    - [Statistics](admin-ui/statistics.md)
    - [Thumbnails](admin-ui/thumbnails.md)
