Opencast Administration Guide
=============================

Welcome to the Opencast Universe! Opencast is an open-source enterprise level lecture recording system. The core of the
system delivers functionality for scheduling, media encoding, editing and content delivery. For lecture capture,
Opencast provides capture agent software and third party appliances are available. An awesome community provides new
features and support.

The Software
------------

Opencast contains everything you need for scheduling captures, trimming, captioning, and conversion of output media to
several formats and our engage components.  The core can be deployed on one (all-in-one deployment) or many (distributed
deployment) Linux servers so your Opencast installation can grow with the needs of your university.

Release Documentation
---------------------

The Opencast Release Documentation is the official Opencast documentation for each release. It contains:

* [Release Notes](releasenotes.md)
    * [Upgrade](upgrade.md)
    * [Changelog](changelog.md)
* [Installation Guides](installation/index.md)
* [Configuration Guides](configuration/index.md)
    * [Basic Configuration](configuration/basic.md)
    * [Database Configuration](configuration/database.md)
    * [HTTPS Configuration](configuration/https/index.md)
    * [Workflow Configuration](configuration/workflow.md)
    * [Encoding Configuration](configuration/encoding.md)
    * [more...](configuration/index.md)
* [Module Documentation](modules/index.md)
    * [Atom and RSS Feed](modules/atomrss.md)
    * [AWS S3 Distribution](modules/awss3distribution.md)
    * [Media Module](modules/mediamodule.configuration.md)
    * [Stream Security](modules/stream-security.md)
    * [Studio](modules/studio.md)
    * [Text Extraction](modules/textextraction.md)
    * [Video Segmentation](modules/videosegmentation.md)
    * [YouTube Publication](modules/youtubepublication.md)
    * [more...](modules/index.md)
* [Version Support](version-support.md)

Further Documentation
---------------------

In addition to this official documentation, further guides and tips can be found in the on the mailing lists, the IRC
channel and at the regular meetings.
