Decision Making
===============

The most important thing about engaging with Opencast is that all people with an opinion are entitled to express that
opinion and, where appropriate, have it considered by the community.

To some, the idea of having to establish consensus in a large and distributed team sounds inefficient and frustrating.
Do not despair though, we have a set of simple processes to ensure things proceed at a good pace.

In Opencast we do not like to vote. We reserve that for the few things that need official approval for legal or
process reasons (e.g. a release or a new committer). Most of the time we work with the consensus building techniques
documented below.


Lazy Consensus
--------------

[Lazy consensus](lazy-consensus.md) is the first, and possibly the most important, consensus building tool we have.
Essentially lazy consensus means that you do not need to get explicit approval to proceed, but you need to be prepared
to listen if someone objects.


Consensus Building
------------------

Sometimes lazy consensus is not appropriate. In such cases it is necessary to make a proposal to the mailing list and
discuss options. There are mechanisms for quickly showing your support or otherwise for a proposal and [building
consensus](consensus-building.md) amongst the community.

Once there is a consensus people can proceed with the work under the [lazy consensus](lazy-consensus.md) model.


Voting
------

Occasionally a "feel" for consensus is not enough. Sometimes we need to have a measurable consensus. For example, when
[voting](voting.md) in new committers or to approve a release.
