Main Action Buttons
-------------------

<div class="row-flex">
  <img src="../../../../img/buttons-4.png" alt="Main Button - Spacing" />
  <p>Main Action buttons appear in the action bar. These buttons are generally to start an action like exporting or
  importing a list, creating a new event or series.</p>
</div>
<br/>
<div class="row-flex">
  <img src="../../../../img/buttons-1.png" alt="Main Button - Navigation" />
  <pre style="margin-bottom: 0px;">
    <code class="hljs css">
      <span class="hljs-comment">/* [ Main Button ] */</span>
      <span class="hljs-class">.action-nav-bar .btn-group .add</span> {
      <span class="hljs-rules">
        <span class="hljs-rule">
          <span class="hljs-attribute">color</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value">
            <span class="hljs-hexcolor"> #FFFFFF</span>
          </span>
        </span>;
        <span class="hljs-rule">
          <span class="hljs-attribute">background-color</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value">
            <span class="hljs-hexcolor"> #39c985</span>
          </span>
        </span>;
        <span class="hljs-rule">
          <span class="hljs-attribute">background-image</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value"> linear-gradient(
            <span class="hljs-hexcolor">#39c985</span>,
            <span class="hljs-hexcolor">#2d9b67</span>)
          </span>
          </span>
        </span>;
          <span class="hljs-rule">
            <span class="hljs-attribute">border</span>
            <span class="hljs-rule">:</span>
            <span class="hljs-value"> 1px solid
              <span class="hljs-hexcolor">#193043</span>
            </span>
          </span>
        </span>;
      </span>}
    </code>
  </pre>
</div>
<br/>

Modal Buttons
-------------

<div class="row-flex">
  <img src="../../../../img/buttons-2.png" alt="Main Button - Modal" />
  <pre style="margin-bottom: 0px;">
    <code class="hljs css">
      <span class="hljs-comment">/* [ Modal Button - Accept ] */</span>
      <span class="hljs-class">.modal</span>
      <span class="hljs-tag"> a</span> {
      <span class="hljs-rules">
        <span class="hljs-rule">
          <span class="hljs-attribute">color</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value">
            <span class="hljs-hexcolor"> #FFFFFF</span>
          </span>
        </span>;
        <span class="hljs-rule">
          <span class="hljs-attribute">background-color</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value">
            <span class="hljs-hexcolor"> #39c985</span>
          </span>
        </span>;
        <span class="hljs-rule">
          <span class="hljs-attribute">background-image</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value"> linear-gradient(
            <span class="hljs-hexcolor">#39c985</span>,
            <span class="hljs-hexcolor">#2d9b67</span>)
          </span>
        </span>
        </span>;
        <span class="hljs-rule">
          <span class="hljs-attribute">border</span>
          <span class="hljs-rule">:</span>
          <span class="hljs-value"> 1px solid
            <span class="hljs-hexcolor">#20724b</span>
          </span>
        </span></span>;
      </span>}
    </code>
  </pre>
</div>
<br/>
<div class="row-flex">
  <img src="../../../../img/buttons-3.png" alt="Cancel Button - Modal" />
<pre style="margin-bottom: 0px;"><code class="hljs css">
<span class="hljs-comment">/* [ Modal Button - Cancel / Return ] */</span>
<span class="hljs-class">.modal</span><span class="hljs-tag"> a<span class="hljs-class">.cancel</span>
</span> {<span class="hljs-rules">
  <span class="hljs-rule"><span class="hljs-attribute">color</span><span class="hljs-rule">:</span>
  <span class="hljs-value"><span class="hljs-hexcolor"> #666666</span></span></span>;
  <span class="hljs-rule"><span class="hljs-attribute">background-color</span><span class="hljs-rule">:</span>
  <span class="hljs-value"><span class="hljs-hexcolor"> #FFFFFF</span></span></span>;
  <span class="hljs-rule"><span class="hljs-attribute">background-image</span><span class="hljs-rule">:</span>
  <span class="hljs-value"> linear-gradient(<span class="hljs-hexcolor">#FFFFFF</span>,
  <span class="hljs-hexcolor">#f7f7f7</span>)</span></span></span>;
  <span class="hljs-rule"><span class="hljs-attribute">border</span><span class="hljs-rule">:</span>
  <span class="hljs-value"> 1px solid <span class="hljs-hexcolor">#c9d0d3</span></span></span></span>;
</span>}</code></pre>
</div>
<br/>

Action buttons
--------------

Action buttons are used to allow the user to control steps in a process. Usually placed within a table view, actions
include options to delete, process and view statistics. These action buttons will generally open a modal and should be
placed in a specific hierarchical order for consistency.

1. Detail Actions
2. Sub Actions
3. Delete Actions

<div class="icons">
  <img src="../../../../img/more-icon_2x.png" alt="More Information"/>
  <img src="../../../../img/edit-icon_2x.png" alt="Edit"/>
  <img src="../../../../img/time-icon_2x.png" alt="Time"/>
  <img src="../../../../img/preview-icon_2x.png" alt="Preview"/>
  <img src="../../../../img/plus-icon_2x.png" alt="Plus"/>
  <img src="../../../../img/play-icon_2x.png" alt="Play"/>
  <img src="../../../../img/play-icon-on_2x.png" alt="Play Active"/>
  <i class="fa fa-comment fa-2x"></i>
  <i class="fa fa-comment-o fa-2x"></i>
  <img src="../../../../img/remove-icon_2x.png" alt="Remove"/>
</div>
<br/>

<!--
## Radio Buttons
Radio buttons are toggles which allow the user to select only one defined option to either on or off, yes or no. These
buttons are generally placed to allow user to trigger a pending action. An example of radio button use would be to
activate a server maintenance routine.
-->
