## Color Palette

The color palette is a very cool feeling range of icy blues and crisp greens with
cold grey accents. The subtle differences between the colors offer a comfortable
viewing experience without losing an ease of differentiation between elements.
The blend of colors work together in a mature fashion presenting a more
professional environment for users. Percentage tints can be used of any of these colors.

<div class="color green">#37C180</div>
<div class="color blue">#378DD4</div>
<div class="color dark-blue">#24425C</div>
<div class="color grey">#8C939B</div>
<div class="color highlight">#FAFAFA</div>
<br/>

<div style="text-align:center;">
  <div class="palette">
    <ul class="line">
      <li style="background-color:#268559;">
        <a>#268559</a>
      </li><li style="background-color:#2c9966;">
        <a>#2c9966</a>
      </li><li style="background-color:#31ad73;">
        <a>#31ad73</a>
      </li><li style="background-color:#37c180;">
        <a>#37c180</a>
      </li><li style="background-color:#47cb8d;">
        <a class="dark">#47cb8d</a>
      </li><li style="background-color:#5bd099;">
        <a class="dark">#5bd099</a>
      </li><li style="background-color:#6fd6a5;">
        <a class="dark">#6fd6a5</a>
      </li>
    </ul>
  </div>
</div>

<div style="text-align:center;">
  <div class="palette">
    <ul class="line">
      <li style="background-color:#0e1b25;">
        <a>#0e1b25</a>
      </li><li style="background-color:#162837;">
        <a>#162837</a>
      </li>
      <li style="background-color:#1d354a;">
        <a>#1d354a</a>
      </li>
      <li style="background-color:#24425c;">
        <a>#24425c</a>
      </li>
      <li style="background-color:#2b4f6e;">
        <a>#2b4f6e</a>
      </li>
      <li style="background-color:#325c81;">
        <a>#325c81</a>
      </li>
      <li style="background-color:#3a6993;">
        <a>#3a6993</a>
      </li>
    </ul>
  </div>
</div>
<br/>

#### Secondary Color Palette

The Secondary Palette should be used as a guide for the tone of a color. It is intended to be ever evolving, offering an
endless palette to choose from.

<div class="palette">
  <ul class="table">
    <li>
        <ul>
          <li style="background-color:#4da1f7;">
            <a>#4da1f7</a>
          </li>
          <li>
            <span>Bright Blue</span>
          </li>
          <li>
            <span>
              <span>HEX</span>
              <span>#4da1f7</span>
            </span>
          </li>
          <li>
            <span>
              <span>RGB</span>
              <span>77, 161, 247</span>
            </span>
          </li>
          <li>
            <span>
              <span>SCSS</span>
              <span class="nocase">$bright-blue</span>
            </span>
          </li>
        </ul>
    </li>
    <li>
        <ul>
          <li style="background-color:#fa1919;">
            <a>#fa1919</a>
          </li>
          <li>
            <span>Red</span>
          </li>
          <li>
            <span>
              <span>HEX</span>
              <span>#fa1919</span>
            </span>
          </li>
          <li>
            <span>
              <span>RGB</span>
              <span>250, 25, 25</span>
            </span>
          </li>
          <li>
            <span>
              <span>SCSS</span>
              <span class="nocase">$red</span>
            </span>
          </li>
        </ul>
      </li>
      <li>
        <ul>
          <li style="background-color:#e45253;">
            <a>#e45253</a>
          </li>
          <li>
            <span>Alternate Red</span>
          </li>
          <li>
            <span>
              <span>HEX</span>
              <span>#e45253</span>
            </span>
          </li>
          <li>
            <span>
              <span>RGB</span>
              <span>228, 82, 83</span>
            </span>
          </li>
          <li>
            <span>
              <span>SCSS</span>
              <span class="nocase">$alt-red</span>
            </span>
          </li>
        </ul>
      </li>
      <li>
        <ul>
          <li style="background-color:#e4d12e;">
            <a>#e4d12e</a>
          </li>
          <li>
            <span>Yellow</span>
          </li>
          <li>
            <span>
              <span>HEX</span>
              <span>#e4d12e</span>
            </span>
          </li>
          <li>
            <span>
              <span>RGB</span>
              <span>228, 209, 46</span>
            </span>
          </li>
          <li>
            <span>
              <span>SCSS</span>
              <span class="nocase">$yellow</span>
            </span>
          </li>
        </ul>
    </li>
  </ul>
</div>
<br/>

#### Shades of gray

A selection of grayscale colors for background, border or text color use.

<div style="text-align:center;">
  <div class="palette">
    <ul class="line">
      <li style="background-color:#222222;">
        <a>#222222</a>
      </li>
      <li style="background-color:#4b4b4b;">
        <a>#4b4b4b</a>
      </li>
      <li style="background-color:#646464;">
        <a>#646464</a>
      </li>
      <li style="background-color:#7d7d7d;">
        <a>#7d7d7d</a>
      </li>
      <li style="background-color:#969696;">
        <a class="dark">#969696</a>
      </li>
      <li style="background-color:#c8c8c8;">
        <a class="dark">#c8c8c8</a>
      </li>
      <li style="background-color:#e1e1e1;">
        <a class="dark">#e1e1e1</a>
      </li>
      <li style="background-color:#fafafa;">
        <a class="dark">#fafafa</a>
      </li>
    </ul>
  </div>
</div>
<br/>

<!--
#### Notification and Alert Palette

A selection of grayscale colors for background, border or text color use.
-->
