## Initial Admin UI Design

The initial release of the Admin UI design was completed in the early part of 2015 thanks to the combined efforts of
[Entwine](http://entwinemedia.com/), [ETH Zurich](https://www.ethz.ch/en.html), [SWITCH](https://www.switch.ch/) and
[University of Manchester](http://www.manchester.ac.uk/). The result of this effort is a more technically advanced and
intuitive  interface that results in a capture and media management solution that is both powerful and extensible.

The main focus for the new administrative ui was design and usability. While the functionality of the ui has been
conceived by the solutions architects at Entwine, a professional team of designers at [Espress
Labs](http://espresslabs.com/) defined a consistent design language and provided the development team with design
templates for the individual sections of the ui.

The resulting style guide clearly describes how individual parts and pieces are to be designed, which fonts and colors
are available, how notifications should be displayed to the user and much more. On top of that, the design team
delivered HTML templates for each screen and dialog so that there was little left to do for the frontend engineers but
turn the templates into a great looking interactive application.

**Original Design Document:** [Admin UI - A Guide to Style
(Admin-UI-Style-Guide-v3.pdf)](../../../files/Admin-UI-Style-Guide-v3.pdf)

**Links:**

- [Entwine (http://entwinemedia.com/)](http://entwinemedia.com/)
- [ETH Zurich (https://www.ethz.ch/en.html)](https://www.ethz.ch/en.html)
- [SWITCH (https://www.switch.ch/)](https://www.switch.ch/)
- [University of Manchester (http://www.manchester.ac.uk/)](http://www.manchester.ac.uk/)
- [Espress Labs (http://espresslabs.com/)](http://espresslabs.com/)

<br/>

## Open Sans

Open Sans is a humanist sans serif typeface designed by Steve Matteson, Type Director of Ascender Corp. This version
contains the complete 897 character set, which includes the standard ISO Latin 1, Latin CE, Greek and Cyrillic character
sets. Open Sans was designed with an upright stress, open forms and a neutral, yet friendly appearance. It was optimized
for print, web, and mobile interfaces, and has excellent legibility characteristics in its letterforms.

**Link:** [Google Fonts - Open Sans
(https://fonts.google.com/specimen/Open+Sans)](https://fonts.google.com/specimen/Open+Sans)

**License: ** [Apache License, Version 2.0
(http://www.apache.org/licenses/LICENSE-2.0)](http://www.apache.org/licenses/LICENSE-2.0)

<br/>

## Font Awesome

Font Awesome gives you scalable vector icons that can instantly be customized — size, color, drop shadow, and anything
that can be done with the power of CSS.

Font Awesome is fully open source and is GPL friendly. You can use it for commercial projects, open source projects, or
really just about whatever you want.

**Link:** [Font Awesome (http://fontawesome.io/)](http://fontawesome.io/)

**License: ** [Font Awesome - License (http://fontawesome.io/license/)](http://fontawesome.io/license/)

<br/>

## Sass

<div class="row-flex">
  <img src="../../../../img/sass.svg" alt="Sass Logo"  style="padding: 20px; width: 180px;" />
  <p>
    Sass is the most mature, stable, and powerful professional grade CSS extension language in the world.
    <br/><br/>
    Sass is completely compatible with all versions of CSS. We take this compatibility seriously, so that you can
    seamlessly use any available CSS libraries.
  </p>
</div>

**Link:** [Sass (http://sass-lang.com/)](http://sass-lang.com/)

<br/>

## HTML

<div class="row-flex">
  <img src="../../../../img/html/HTML5_Logo.svg" alt="HTML 5 Logo" style="width:200px; padding:12px;" />
  <p>
  HTML5 is a markup language used for structuring and presenting content on the World Wide Web. It is the fifth and
  current version of the HTML standard.
  <br/><br/>
  It was published in October 2014 by the World Wide Web Consortium (W3C) to improve the language with support for the
  latest multimedia, while keeping it both easily readable by humans and consistently understood by computers and devices
  such as web browsers, parsers, etc. HTML5 is intended to subsume not only HTML 4, but also XHTML 1 and DOM Level 2 HTML.
  <br/><br/>
  HTML5 includes detailed processing models to encourage more interoperable implementations; it extends, improves and
  rationalizes the markup available for documents, and introduces markup and application programming interfaces (APIs)
  for complex web applications. For the same reasons, HTML5 is also a candidate for cross-platform mobile applications,
  because it includes features designed with low-powered devices in mind.
  </p>
</div>

**Links:**

- [HTML 5 (https://www.w3.org/TR/html5/)](https://www.w3.org/TR/html5/)
- [HTML Validator (https://validator.w3.org/)](https://validator.w3.org/)
