## Main View Structure

The Admin UI is divided up into four main sections.

<div class="counter">
  <div>1</div>
  <div><img src="../../../../img/view-structure-1.png" alt="Header Bar"/></div>
  <p>The header bar contains the logo, link to help and playback, user profile and language options.</p>
</div>

<div class="counter">
  <div>2</div>
  <div><img src="../../../../img/view-structure-2.png" alt="Navigation Bar"/></div>
  <p>The action bar is made up of navigational elements such as the navigation tabs, main menu and/or action buttons.</p>
</div>

<div class="counter">
  <div>3</div>
  <div><img src="../../../../img/view-structure-3.png" alt="Main View"/></div>
  <p>This is the main "work" area of the page where the content is loaded; replacing the existing elements depending on
  the menu item that is selected.</p>
</div>

<div class="counter">
  <div>4</div>
  <div><img src="../../../../img/view-structure-4.png" alt="Footer"/></div>
  <p>The footer holds the version information.</p>
</div>
<br/>

## Table View Structure

The table view structure is used to display the majority of the information of the system and is used as entry point to
the display of information in a modal or more intricate displays.

<div class="counter">
  <div>1</div>
  <div><img src="../../../../img/table-view-structure-1.png" alt="Header Bar"/></div>
  <p>
    The header of the table view contains a section that shows the current table heading (with a sub-heading) and a
    section to filter and/or search the table.
    <br/><br/>
    To filter the table click on the add filter icon and select the column and value to filter the table on. Multiple
    filters can be selected at any one time.
    <br/><br/>
    Filters and search values can be saved and given a custom name and description for future use.
  </p>
</div>

<div class="counter">
  <div>2</div>
  <div><img src="../../../../img/table-view-structure-2.png" alt="Header Bar"/></div>
  <p>
    As with any other HTML table the structure is divided into a header and a body. The header consists of columns, that
    are sortable, and a link to edit the columns and their order.
    <br/><br/>
    The table body contains the information of an item in a row and the
    <a href="../../../../modules/admin-ui/style/buttons/#action-buttons">action buttons</a>
    that allows a user to interact with that item.
  </p>
</div>

<div class="counter">
  <div>3</div>
  <div><img src="../../../../img/table-view-structure-3.png" alt="Header Bar"/></div>
  <p>The table footer contains a page selector and a dropdown to change the number of rows that are shown.</p>
</div>
<br/>

<!--
## Detail View Structure

## Editor View Structure

## Workflow View Structure
-->
