QA Coordinator Guide
=====================

Role
----

The QA coordinator is ultimately responsible for making sure that quality assurance (QA) processes are occurring during
each release window, and for other project related tasks.

The QA Coordinator has the following duties:

Establish and manage QA process, technologies, and methods

* Manage CI infrastructure
* Create and expand automated testing infrastructure
* Ensure committers are following testing procedures

Ensure codebase stability

* Cleanup obsolete branches
* Help with merge issues
* Setup and manage automated distributable builds
* Code cleanup

Organize community/committers

* Remain active on list
* Organize Technical meeting
* Encourage additional committers to join the project
* Manage crowdin translators - ensure join requests are dealt with
* Handle (security issue reports)[security.md], and notifications once handled
* Occasionally purge non-active committers, moving them to the emeritus list in the main pom, and removing their
  permissions in JIRA

Expand documentation

* Ensure documentation is build and published
* Expand documentation, and/or organize volunteer documentation tasks
