<!-- Hamburger Icon -->
[icon_hamburger]:data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAAPCAYAAAAGRPQsAAAARklEQVQ4y2Ow6L3SCsQ/gfg/BRikv5WBCgbB8GcGKrnsF9hlIwSQEGY/CYYLiYH/mVouG1ExRqUwIxy7FGalz9RyGUbsAgCNXmeVduHT9gAAAABJRU5ErkJggg== "Edit Icon"

# Glossary

## Recordings
A general term used to describe activities that occur within an Opencast system including Series and Events.

## Events
Events refer to a single episode or lecture that is recorded or uploaded. Typically they belong to a Series (see also
Series section), however there can also be ad-hoc recordings that do not belong to a Series. You can access the Events
page from the **Main Menu > Recordings > Events**.

## Ad-hoc events
Ad-hoc events that occur spontaneously and may or may not belong to a Series. An example of an adhoc recording may be a
recording of a dissertation practice or a recording of an unplanned meeting. Note: Not all capture agents support ad-hoc
recordings. Refer to the capture agent’s manual to find out if it has this capability.

## Series
A Series is the equivalent of entire course and typically contains multiple Events (see also Events section) that occur
across a defined period of time. You can access the Events page from the **Main Menu > Recordings > Series**.

An example of a Series which consists of four (4) events:

* Series Name: Better Development Through the Use of Scrum Techniques
    * Event 1: Introduction to Scrum
    * Event 2: Sprint Planning
    * Event 3: Daily Scrum
    * Event 4: Sprint Review Meeting

Events that belong to a Series inherit properties such as Access Policy and Themes.

## Engage Player
The default video player that ships with Opencast and enables users to view and interact with video and related video
metadata

## Publication channel
The location where a video has been published, for example, you may publish your video to your LMS or Youtube each of
these are considered a publication channel by Opencast. A video can be published to multiple publication channels
simultaneously.

## Metadata
Utilized by Opencast as descriptive data to describe the different objects (series, events, recordings).

## Modal Window
A modal window is a graphical element used in Opencast that displays over the applications main window. The modal window
is considered a child window that requires users to interact with it before they can return to the main Opencast
application. An example of a model window can be seen by clicking the edit icon ( ![icon_hamburger][] ) on the Actions
column within the Event table view.

## Capture Agent (CA)
A software or hardware device to record speakers, meetings, lectures, and other types of events. It typically captures
audio and video (VGA/DVI), and, depending on software and hardware support, various video sources.

## Tasks
Tasks are utilized by Opencast to define production processes. They contains a series of operations (also called Jobs)
that instructs the Opencast system on how video is captured, encoded, archived, and distributed.

## Themes
Enable an administrator to brand recordings using intro video, title slides, and watermarks. Themes can be applied on a
per Series or per Event basis.

## Comments
Comments can be added to an Event along with a reason to alert another administrator that something is wrong or the
Event needs further review. Comments allow the user to comment, respond, and resolve.

## Presenter
A presenter is a person that is presenting and will be seen or heard in the audio or video recordings.

## Contributor
A contributor to a series is a person that will not be seen or heard in the recording but may have developed the talk or
is acting as an assistant to the Presenter. In a University setting this person may be a graduate or teaching assistant.

## Organizers
An organizer is the person or system that scheduled a Series.

## Roles
Roles allow an administrator to define permissions on a per-user or per-group basis.
