# Welcome to Opencast

Opencast is a free, open-source software designed to support the management of audio and video content in educational,
corporate and medical settings. Opencast is a set of highly configurable media services that most adopters use to
produce recordings, manage existing video, serve designated distribution channels, and provide user interfaces to engage
learners with video. Opencast includes the following features:

* Administrative tools for scheduling automated single and multi-stream recordings, manually uploading files, and
  managing metadata, and processing functions

* Video editing enables users to trim or edit video prior to publishing

* Integration with a variety of commercial and open-source recording devices in the classroom for capture. For
  up-to-date information, please visit the Commercial Service Provider page on the Opencast website.

* Processing and encoding services that prepare and package the media files with trailers, bumpers, cover slides, and
  watermarks.

* Distribution to local streaming and download servers and configuration capability for distribution to channels such as
  YouTube, iTunes or a campus course or learning management systems (LMS) like Sakai, Moodle and others.

* HTML5 multi-stream media player for learners to engage with content, including slide preview, content based search.

The Opencast community is a collaboration of individuals, higher education institutions, corporations and integrators
working together to explore, develop, define and document best practices and technologies for management of audiovisual
content in a multitude of settings.

Opencast is supported by a growing international community that includes over 200 members from more than 100
organizations.

## About this Documentation

This set of documentation is written for users who will primarily access and use Opencast through the administrative
user interfaces. If you are interested in technical documentation on how to install, extend, or integrate Opencast these
documents will provide further details:

* The [Opencast Release Documentation](http://docs.opencast.org) is the official Opencast documentation for each
  release. This is actually one part of th release documentation intended for users. There are also guides for
  administrators and developers.

* The [Opencast Adopter Guides](https://opencast.jira.com/wiki/display/MHDOC) contain community created guides for
  Opencast. Often these describe the usage of external tools (reverse proxies, streaming servers, …) or configurations
  used by a particular adopter. No quality assurance is done for this wiki, but there are certainly a lot of valuable
  information to find.

* The [Opencast Development Wiki](https://opencast.jira.com/wiki/display/MH) is used by developers to store working
  drafts, ideas and temporary documentation for active development.


## Communications

The Opencast Community relies heavily on the use of mailing lists for communication amongst members. You can find an
overview of the mailing lists and other communication channels at the [community section of our
website](http://www.opencast.org/community).


## Licenses

Opencast Projects, including source code, are licensed under [Educational Community License
2.0](https://github.com/opencast/opencast/blob/develop/LICENSE) Except where otherwise noted,
documentation on this site is licensed under a [Creative Commons Attribution 4.0 International
license](http://creativecommons.org/licenses/by/4.0/deed.en_US)
